Loading...
Searching...
No Matches
L4virtio::Svr::Console::Control_request Struct Reference

Specialised Virtqueue::Request providing access to control message payload. More...

`#include <virtio-console>`

Collaboration diagram for L4virtio::Svr::Console::Control_request:

## Data Fields

Control_message * | msg
| Virtual address of the data block (in device space).
l4_uint32_t | len
| Length of datablock in bytes.
Driver_mem_region * | mem
| Pointer to driver memory region.

## Detailed Description

Specialised Virtqueue::Request providing access to control message payload.

Definition at line 65 of file virtio-console.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-console